> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer



## OpenAPI

````yaml /api-reference/customers/customer.json post /customer/v1.0/getCustomer
openapi: 3.0.3
info:
  title: customer API
  description: API's to add and get customer information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /customer/v1.0/getCustomer:
    post:
      tags:
        - Customer
      summary: Get Customer
      operationId: getCustomer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                customerId:
                  type: object
                  description: Customer ID
                clientReferenceId:
                  type: object
                  description: Reference Id used by the partner.
              anyOf:
                - required:
                    - customerId
                - required:
                    - clientReferenceId
      responses:
        '200':
          description: Contains the customer data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createCustomer'
components:
  schemas:
    createCustomer:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: Contains the customer data
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.